20 Transport Connections
20.1 Get Transport Connection
GET https://<HOST>:<PORT>/api/transportConnections/get?version=0
Returns detailed information about the selected transport connection.
Required Permissions
-
API
-
Configuration Mode Read Access
Request parameters
-
id
The identifier or display name of the transport connection.
Response Body Structure
The response body is structured as StandardTransportConnection JSON object. A description for its fields is at section 32.35.1. For the JSON schema refer to section 32.35.2.
Example
20.2 Create Standard Transport Connection
PUT https://<HOST>:<PORT>/api/transportConnections/addStandard?version=0
Creates a new standard transport connection.
Required Permissions
-
API
-
Configuration Mode Read/Write Access
Request parameters
-
displayName
The display name of the new transport connection.
Request Body Structure
The request body is structured as StandardTransportConnection JSON object. A description for its fields is at section 32.35.1. For the JSON schema refer to section 32.35.2.
Response Body Structure
The response body is structured as StandardTransportConnection JSON object. A description for its fields is at section 32.35.1. For the JSON schema refer to section 32.35.2.
Example
20.3 Add Plain Transport Connection
PUT https://<HOST>:<PORT>/api/transportConnections/addPlain?version=0
Creates a new plain transport connection.
Required Permissions
-
API
-
Configuration Mode Read/Write Access
Request parameters
-
displayName
The display name of the new transport connection.
Request Body Structure
The request body is structured as PlainTransportConnection JSON object. A description for its fields is at section 32.36.1. For the JSON schema refer to section 32.36.2.
Response Body Structure
The response body is structured as PlainTransportConnection JSON object. A description for its fields is at section 32.36.1. For the JSON schema refer to section 32.36.2.
Example
20.4 Add Load Balancing Transport Connection
PUT https://<HOST>:<PORT>/api/transportConnections/addSipLoadBalancing?version=0
Create a new load balancing transport connection.
Required Permissions
-
API
-
Configuration Mode Read/Write Access
Request parameters
-
displayName
The display name of the new transport connection.
Request Body Structure
The request body is structured as SipLoadBalancingTransportConnection JSON object. A description for its fields is at section 32.37.1. For the JSON schema refer to section 32.37.2.
Response Body Structure
The response body is structured as SipLoadBalancingTransportConnection JSON object. A description for its fields is at section 32.37.1. For the JSON schema refer to section 32.37.2.
Example
20.5 Add SIP Registration As Transport Connection
PUT https://<HOST>:<PORT>/api/transportConnections/addSipRegistrar?version=0
Creates a new SIP registration.
Required Permissions
-
API
-
Configuration Mode Read/Write Access
Request parameters
-
displayName
The display name of the new SIP registration.
Request Body Structure
The request body is structured as SipRegistrationAsTransportConnection JSON object. A description for its fields is at section 32.38.1. For the JSON schema refer to section 32.38.2.
Response Body Structure
The response body is structured as SipRegistrationAsTransportConnection JSON object. A description for its fields is at section 32.38.1. For the JSON schema refer to section 32.38.2.
Example
20.6 Add SRV Load Balancer
PUT https://<HOST>:<PORT>/api/transportConnections/addSrvLoadBalancer?version=0
Creates a new SRV Load Balancer.
Required Permissions
-
API
-
Configuration Mode Read/Write Access
Request parameters
-
displayName
The display name of the new transport connection.
Request Body Structure
The request body is structured as SrvLoadBalancer JSON object. A description for its fields is at section 32.39.1. For the JSON schema refer to section 32.39.2.
Response Body Structure
The response body is structured as SrvLoadBalancer JSON object. A description for its fields is at section 32.39.1. For the JSON schema refer to section 32.39.2.
Example
20.7 Remove Transport Connection
DELETE https://<HOST>:<PORT>/api/transportConnections/remove?version=0
Removes a transport connection from the current configuration.
Required Permissions
-
API
-
Configuration Mode Read/Write Access
Request parameters
-
transportConnection
The id of the transport connection.
-
force
If set to true the transport connection and it's referenced objects will be removed, even if it is referenced by other objects.
Example
20.8 Get Authentication
GET https://<HOST>:<PORT>/api/transportConnections/authentication/get?version=0
Returns the authentication configuration of the requested transport connection.
Required Permissions
-
API
-
Configuration Mode Read Access
Request parameters
-
transportConnection
The id of the Transport Connection..
Response Body Structure
The response body is structured as SipCredentials JSON object. A description for its fields is at section 32.40.1. For the JSON schema refer to section 32.40.2.
Example
20.9 Set Authentication
PUT https://<HOST>:<PORT>/api/transportConnections/authentication/set?version=0
Modifies the username and password of the selected transport connection.
Required Permissions
-
API
-
Configuration Mode Read/Write Access
Request parameters
-
transportConnection
The id of the transport connection.
Request Body Structure
The request body is structured as Credentials JSON object. A description for its fields is at section 32.41.1. For the JSON schema refer to section 32.41.2.
Response Body Structure
The response body is structured as SipCredentials JSON object. A description for its fields is at section 32.40.1. For the JSON schema refer to section 32.40.2.
Example
20.10 Get Asserted URI
GET https://<HOST>:<PORT>/api/transportConnections/assertedUri/get?version=0
Returns the asserted URI of the selected transport connection.
Required Permissions
-
API
-
Configuration Mode Read Access
Request parameters
-
transportConnection
The id of the transport connection.
Response Body Structure
The response body is structured as AssertedUri JSON object. A description for its fields is at section 32.42.1. For the JSON schema refer to section 32.42.2.
Example
20.11 Set Asserted URI
PUT https://<HOST>:<PORT>/api/transportConnections/assertedUri/set?version=0
Modifies the asserted URI of the selected transport connection.
Required Permissions
-
API
-
Configuration Mode Read/Write Access
Request parameters
-
transportConnection
The id of the transport connection
Request Body Structure
The request body is structured as AssertedUri JSON object. A description for its fields is at section 32.42.1. For the JSON schema refer to section 32.42.2.
Response Body Structure
The response body is structured as AssertedUri JSON object. A description for its fields is at section 32.42.1. For the JSON schema refer to section 32.42.2.
Example
20.12 Get Address of Record
GET https://<HOST>:<PORT>/api/transportConnections/addressOfRecord/get?version=0
Returns the Address of Record for the selected transport connection
Required Permissions
-
API
-
Configuration Mode Read Access
Request parameters
-
transportConnection
The id of the transport connection.
Response Body Structure
The response body is structured as AssertedUri JSON object. A description for its fields is at section 32.42.1. For the JSON schema refer to section 32.42.2.
Example
20.13 Set Address of Record
PUT https://<HOST>:<PORT>/api/transportConnections/addressOfRecord/set?version=0
Modifies the transport connection of the requested node.
Required Permissions
-
API
-
Configuration Mode Read/Write Access
Request parameters
-
transportConnection
The id of the transport connection.
Request Body Structure
The request body is structured as AssertedUri JSON object. A description for its fields is at section 32.42.1. For the JSON schema refer to section 32.42.2.
Response Body Structure
The response body is structured as AssertedUri JSON object. A description for its fields is at section 32.42.1. For the JSON schema refer to section 32.42.2.